<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Product.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">qualitelogicieltp</a> &gt; <a href="index.source.html" class="el_package">fr.mds.qualitelogicieltp.entities</a> &gt; <span class="el_source">Product.java</span></div><h1>Product.java</h1><pre class="source lang-java linenums">package fr.mds.qualitelogicieltp.entities;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 
 * @author Eloise
 *
 */
@Entity
public class Product {
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;
	
	private String name;
	private Float price;
	
	public Product() {
<span class="fc" id="L25">		super();</span>
<span class="fc" id="L26">	}</span>
	
<span class="fc" id="L28">	public Product(Long id, String name, Float price) {</span>
<span class="fc" id="L29">		this.id = id;</span>
<span class="fc" id="L30">		this.name = name;</span>
<span class="fc" id="L31">		this.price = price;</span>
<span class="fc" id="L32">	}</span>
	
	public String getName() {
<span class="fc" id="L35">		return name;</span>
	}
	
	public void setName(String name) {
<span class="fc" id="L39">		this.name = name;</span>
<span class="fc" id="L40">	}</span>
	
	public Float getPrice() {
<span class="fc" id="L43">		return price;</span>
	}
	
	public void setPrice(Float price) {
<span class="fc" id="L47">		this.price = price;</span>
<span class="fc" id="L48">	}</span>
	
	public Long getId() {
<span class="fc" id="L51">		return id;</span>
	}

	public void setId(Long id) {
<span class="fc" id="L55">		this.id = id;</span>
<span class="fc" id="L56">	}	</span>
	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>